Bug 175949 - Return all my ports to the pool
Summary: Return all my ports to the pool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-08 04:40 UTC by Shane Bell
Modified: 2013-02-08 07:30 UTC (History)
0 users

See Also:


Attachments
file.diff (6.79 KB, patch)
2013-02-08 04:40 UTC, Shane Bell
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane Bell 2013-02-08 04:40:00 UTC
Unfortunately I no longer have a FreeBSD machine suitable for maintaining my ports, so I will return them all to the pool.

Fix: Patch attached with submission follows:
Comment 1 Baptiste Daroussin freebsd_committer 2013-02-08 06:53:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

I'll take it.
Comment 2 Baptiste Daroussin freebsd_committer 2013-02-08 07:20:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-02-08 07:20:42 UTC
Author: bapt
Date: Fri Feb  8 07:20:32 2013
New Revision: 311911
URL: http://svnweb.freebsd.org/changeset/ports/311911

Log:
  Reset to the pool per maintainer request.
  Thank you Shawn for your work.
  
  While here: trim headers, convert to optionsng
  
  PR:		ports/175949
  Submitted by:	Shane Bell <shanjobe@gmail.com>

Modified:
  head/deskutils/basket/Makefile
  head/net-im/libmsn/Makefile
  head/sysutils/filelight/Makefile
  head/x11-themes/cursor-polar-theme/Makefile
  head/x11-themes/kde-style-comix/Makefile
  head/x11-themes/kde-style-lipstik/Makefile
  head/x11-themes/kde-style-tiblit/Makefile
  head/x11-themes/kde-windeco-crystal/Makefile
  head/x11-themes/kde-windeco-knifty/Makefile
  head/x11-themes/kde-windeco-neos/Makefile
  head/x11-themes/kde-windeco-smoothblend/Makefile
  head/x11-themes/kde4-windeco-nitrogen/Makefile
  head/x11/yakuake-kde4/Makefile
  head/x11/yakuake/Makefile

Modified: head/deskutils/basket/Makefile
==============================================================================
--- head/deskutils/basket/Makefile	Fri Feb  8 07:12:51 2013	(r311910)
+++ head/deskutils/basket/Makefile	Fri Feb  8 07:20:32 2013	(r311911)
@@ -1,7 +1,4 @@
-# New ports collection makefile for:	basket
-# Date created:			Mon Sep  8 19:32:42 CEST 2003
-# Whom:				Markus Brueffer <brueffer@phoenix-systems.de>
-#
+# Created by: Markus Brueffer <brueffer@phoenix-systems.de>
 # $FreeBSD$
 
 PORTNAME=	basket
@@ -10,7 +7,7 @@ PORTREVISION=	7
 CATEGORIES=	deskutils kde
 MASTER_SITES=	http://basket.kde.org/downloads/
 
-MAINTAINER=	shanjobe@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Desktop organization tool
 
 USE_KDELIBS_VER=3
@@ -18,12 +15,14 @@ USE_GMAKE=	yes
 USE_AUTOTOOLS=	libtool
 USE_LDCONFIG=	yes
 
-OPTIONS=	KONTACT	"Kontact plugin" on \
-		GPGME "GPG support (experimental)" off
+OPTIONS_DEFINE=	KONTACT GPGME
+OPTIONS_DEFAULT=	KONTACT GPGME
+KONTACT_DESC=	Kontact plugin
+GPGME_DESC=	GPG support (experimental)
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-.if defined(WITH_KONTACT)
+.if ${PORT_OPTIONS:MKONTACT}
 LIB_DEPENDS+=	kontact.1:${PORTSDIR}/deskutils/kdepim3
 PLIST_SUB=	KONTACT=""
 .else
@@ -31,7 +30,7 @@ PLIST_SUB=	KONTACT="@comment "
 CONFIGURE_ENV+=	DO_NOT_COMPILE="kontact_plugin"
 .endif
 
-.if defined(WITH_GPGME)
+.if ${PORT_OPTIONS:MGPGME}
 RUN_DEPENDS+=	pinentry-qt:${PORTSDIR}/security/pinentry-qt
 LIB_DEPENDS+=	gpgme.19:${PORTSDIR}/security/gpgme \
 		gpg-error.0:${PORTSDIR}/security/libgpg-error
@@ -42,4 +41,4 @@ CONFIGURE_ARGS+=	--with-encryption=no
 post-patch:
 	@${REINPLACE_CMD} -e 's/-O2//g' ${WRKSRC}/${CONFIGURE_SCRIPT}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net-im/libmsn/Makefile
==============================================================================
--- head/net-im/libmsn/Makefile	Fri Feb  8 07:12:51 2013	(r311910)
+++ head/net-im/libmsn/Makefile	Fri Feb  8 07:20:32 2013	(r311911)
@@ -1,17 +1,12 @@
-# ex:ts=8
-# Ports collection makefile for:	libmsn
-# Date created:			Feb 6, 2005
-# Whom:				ijliao
-#
+# Created by: ijliao
 # $FreeBSD$
-#
 
 PORTNAME=	libmsn
 DISTVERSION=	4.2.1
 CATEGORIES=	net-im
 MASTER_SITES=	SF
 
-MAINTAINER=	shanjobe@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A library for connecting to MSN Messenger service
 
 LICENSE=	GPLv2

Modified: head/sysutils/filelight/Makefile
==============================================================================
--- head/sysutils/filelight/Makefile	Fri Feb  8 07:12:51 2013	(r311910)
+++ head/sysutils/filelight/Makefile	Fri Feb  8 07:20:32 2013	(r311911)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	filelight
-# Date created:		Fri Aug 29 21:16:39 CEST 2003
-# Whom:			Markus Brueffer <brueffer@phoenix-systems.de>
-#
+# Created by: Markus Brueffer <brueffer@phoenix-systems.de>
 # $FreeBSD$
-#
 
 PORTNAME=	filelight
 PORTVERSION=	1.0
@@ -11,7 +7,7 @@ PORTREVISION=	7
 CATEGORIES=	sysutils kde
 MASTER_SITES=	http://www.methylblue.com/filelight/packages/
 
-MAINTAINER=	shanjobe@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Represent a file system as a set of concentric segmented-rings
 
 USE_KDELIBS_VER=3

Modified: head/x11-themes/cursor-polar-theme/Makefile
==============================================================================
--- head/x11-themes/cursor-polar-theme/Makefile	Fri Feb  8 07:12:51 2013	(r311910)
+++ head/x11-themes/cursor-polar-theme/Makefile	Fri Feb  8 07:20:32 2013	(r311911)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	cursor-polar-theme
-# Date created:				1st September, 2005
-# Whom:					decept
-#
+# Created by: Shawn Bell <decept@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	polar-theme
 PORTVERSION=	1.4
@@ -13,7 +9,7 @@ MASTER_SITES=	http://www.kde-look.org/CO
 PKGNAMEPREFIX=	cursor-
 DISTNAME=	27913-PolarCursorThemes
 
-MAINTAINER=	shanjobe@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Polar is a smooth and simple cursor set
 
 NO_BUILD=	yes

Modified: head/x11-themes/kde-style-comix/Makefile
==============================================================================
--- head/x11-themes/kde-style-comix/Makefile	Fri Feb  8 07:12:51 2013	(r311910)
+++ head/x11-themes/kde-style-comix/Makefile	Fri Feb  8 07:20:32 2013	(r311911)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   comix
-# Date created:                        13th March, 2005
-# Whom:                                decept
-#
+# Created by: decept
 # $FreeBSD$
-#
 
 PORTNAME=	comix
 PORTVERSION=	1.3.8
@@ -13,7 +9,7 @@ MASTER_SITES=	http://www.kde-look.org/CO
 PKGNAMEPREFIX=	kde-style-
 DISTNAME=	16028-${PORTNAME}-${PORTVERSION}
 
-MAINTAINER=	shanjobe@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Flat KDE style and window decoration
 
 USE_BZIP2=	yes

Modified: head/x11-themes/kde-style-lipstik/Makefile
==============================================================================
--- head/x11-themes/kde-style-lipstik/Makefile	Fri Feb  8 07:12:51 2013	(r311910)
+++ head/x11-themes/kde-style-lipstik/Makefile	Fri Feb  8 07:20:32 2013	(r311911)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   lipstik
-# Date created:                        12th February, 2005
-# Whom:                                decept
-#
+# Created by: decept
 # $FreeBSD$
-#
 
 PORTNAME=	lipstik
 PORTVERSION=	2.2.3
@@ -13,12 +9,11 @@ MASTER_SITES=	http://www.kde-look.org/CO
 PKGNAMEPREFIX=	kde-style-
 DISTNAME=	18223-${PORTNAME}-${PORTVERSION}
 
-MAINTAINER=	shanjobe@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Modified Plastik KDE style
 
 USE_KDEBASE_VER=3
 USE_AUTOTOOLS=	libtool
-LDFLAGS+=	${PTHREAD_LIBS}
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
 .include <bsd.port.mk>

Modified: head/x11-themes/kde-style-tiblit/Makefile
==============================================================================
--- head/x11-themes/kde-style-tiblit/Makefile	Fri Feb  8 07:12:51 2013	(r311910)
+++ head/x11-themes/kde-style-tiblit/Makefile	Fri Feb  8 07:20:32 2013	(r311911)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   tiblit
-# Date created:                        13th March, 2005
-# Whom:                                decept
-#
+# Created by: decept
 # $FreeBSD$
-#
 
 PORTNAME=	tiblit
 PORTVERSION=	1.2
@@ -19,7 +15,6 @@ COMMENT=	KDE style focused on customizat
 USE_BZIP2=	yes
 USE_KDEBASE_VER=3
 USE_AUTOTOOLS=	libtool
-LDFLAGS+=	${PTHREAD_LIBS}
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
 .include <bsd.port.mk>

Modified: head/x11-themes/kde-windeco-crystal/Makefile
==============================================================================
--- head/x11-themes/kde-windeco-crystal/Makefile	Fri Feb  8 07:12:51 2013	(r311910)
+++ head/x11-themes/kde-windeco-crystal/Makefile	Fri Feb  8 07:20:32 2013	(r311911)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   crystal
-# Date created:                        15th March, 2005
-# Whom:                                decept
-#
+# Created by: decept
 # $FreeBSD$
-#
 
 PORTNAME=	crystal
 PORTVERSION=	1.0.7
@@ -13,7 +9,7 @@ MASTER_SITES=	http://www.kde-look.org/CO
 PKGNAMEPREFIX=	kde-windeco-
 DISTNAME=	13969-${PORTNAME}-${PORTVERSION}
 
-MAINTAINER=	shanjobe@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Transparent KDE window decoration
 
 USE_BZIP2=	yes

Modified: head/x11-themes/kde-windeco-knifty/Makefile
==============================================================================
--- head/x11-themes/kde-windeco-knifty/Makefile	Fri Feb  8 07:12:51 2013	(r311910)
+++ head/x11-themes/kde-windeco-knifty/Makefile	Fri Feb  8 07:20:32 2013	(r311911)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   knifty
-# Date created:                        22nd February, 2005
-# Whom:                                decept
-#
+# Created by: decept
 # $FreeBSD$
-#
 
 PORTNAME=	knifty
 PORTVERSION=	0.4.2
@@ -13,12 +9,11 @@ MASTER_SITES=	http://www.kde-look.org/CO
 PKGNAMEPREFIX=	kde-windeco-
 DISTNAME=	8841-${PORTNAME}-${PORTVERSION}
 
-MAINTAINER=	shanjobe@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Lightweight KDE window decoration
 
 USE_BZIP2=	yes
 USE_KDEBASE_VER=3
-LDFLAGS+=	${PTHREAD_LIBS}
 USE_AUTOTOOLS=	libtool
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 

Modified: head/x11-themes/kde-windeco-neos/Makefile
==============================================================================
--- head/x11-themes/kde-windeco-neos/Makefile	Fri Feb  8 07:12:51 2013	(r311910)
+++ head/x11-themes/kde-windeco-neos/Makefile	Fri Feb  8 07:20:32 2013	(r311911)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   neos
-# Date created:                        14th March, 2005
-# Whom:                                decept
-#
+# Created by: decept
 # $FreeBSD$
-#
 
 PORTNAME=	neos
 PORTVERSION=	0.2b
@@ -13,7 +9,7 @@ MASTER_SITES=	http://perso.orange.fr/cha
 PKGNAMEPREFIX=	kde-windeco-
 DISTNAME=	kwin-${PORTNAME}-${PORTVERSION}
 
-MAINTAINER=	shanjobe@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	KDE window decoration
 
 USE_BZIP2=	yes

Modified: head/x11-themes/kde-windeco-smoothblend/Makefile
==============================================================================
--- head/x11-themes/kde-windeco-smoothblend/Makefile	Fri Feb  8 07:12:51 2013	(r311910)
+++ head/x11-themes/kde-windeco-smoothblend/Makefile	Fri Feb  8 07:20:32 2013	(r311911)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   smoothblend
-# Date created:                        18th March, 2005
-# Whom:                                decept
-#
+# Created by: decept
 # $FreeBSD$
-#
 
 PORTNAME=	smoothblend
 PORTVERSION=	1.2
@@ -13,7 +9,7 @@ MASTER_SITES=	http://www.p0z3r.org/downl
 PKGNAMEPREFIX=	kde-windeco-
 DISTNAME=	smooth-blend-${PORTVERSION}
 
-MAINTAINER=	shanjobe@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A window decoration for KDE
 
 CONFLICTS=	kdeartwork-3.5.[0-9]*

Modified: head/x11-themes/kde4-windeco-nitrogen/Makefile
==============================================================================
--- head/x11-themes/kde4-windeco-nitrogen/Makefile	Fri Feb  8 07:12:51 2013	(r311910)
+++ head/x11-themes/kde4-windeco-nitrogen/Makefile	Fri Feb  8 07:20:32 2013	(r311911)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   nitrogen
-# Date created:                        29th October, 2009
-# Whom:                                kmoore
-#
+# Created by: kmoore
 # $FreeBSD$
-#
 
 PORTNAME=	nitrogen
 PORTVERSION=	3.3.3
@@ -13,7 +9,7 @@ MASTER_SITES=	http://www.kde-look.org/CO
 PKGNAMEPREFIX=	kde4-windeco-
 DISTNAME=	99551-${PKGNAMEPREFIX}${PORTNAME}-${PORTVERSION}-Source
 
-MAINTAINER=	shanjobe@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	KDE4 window decoration
 
 USE_KDE4=	kdelibs kdehier kdeprefix automoc4 workspace

Modified: head/x11/yakuake-kde4/Makefile
==============================================================================
--- head/x11/yakuake-kde4/Makefile	Fri Feb  8 07:12:51 2013	(r311910)
+++ head/x11/yakuake-kde4/Makefile	Fri Feb  8 07:20:32 2013	(r311911)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   yakuake
-# Date created:                        7th September, 2008
-# Whom:                                Shane Bell <decept0@gmail.com>
-#
+# Created by: Shane Bell <decept0@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	yakuake
 PORTVERSION=	2.9.8
@@ -13,7 +9,7 @@ MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	stable/${PORTNAME}/${PORTVERSION}/src
 PKGNAMESUFFIX=	-kde4
 
-MAINTAINER=	shanjobe@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Drop-down terminal emulator for KDE
 
 LICENSE=	GPLv2
@@ -22,11 +18,13 @@ USE_BZIP2=	yes
 USE_CMAKE=	yes
 USE_KDE4=	kdelibs kdeprefix automoc4
 
-.if defined(WITHOUT_NLS)
-PLIST_SUB+=	NLS="@comment "
-.else
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MNLS}
 PLIST_SUB+=	NLS=""
 USE_GETTEXT=	yes
+.else
+PLIST_SUB+=	NLS="@comment "
 .endif
 
 USE_QT4=	corelib qmake_build moc_build rcc_build uic_build
@@ -34,10 +32,10 @@ INSTALLS_ICONS=	yes
 MAKE_JOBS_SAFE=	yes
 
 post-patch:
-.if defined(WITHOUT_NLS)
-	@${REINPLACE_CMD} -e 's/^%%NLS%%/# /' ${WRKSRC}/CMakeLists.txt
-.else
+.if ${PORT_OPTIONS:MNLS}
 	@${REINPLACE_CMD} -e 's/^%%NLS%%//' ${WRKSRC}/CMakeLists.txt
+.else
+	@${REINPLACE_CMD} -e 's/^%%NLS%%/# /' ${WRKSRC}/CMakeLists.txt
 .endif
 
 .include <bsd.port.mk>

Modified: head/x11/yakuake/Makefile
==============================================================================
--- head/x11/yakuake/Makefile	Fri Feb  8 07:12:51 2013	(r311910)
+++ head/x11/yakuake/Makefile	Fri Feb  8 07:20:32 2013	(r311911)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   yakuake
-# Date created:                        1st November, 2005
-# Whom:                                decept
-#
+# Created by: decept
 # $FreeBSD$
-#
 
 PORTNAME=	yakuake
 PORTVERSION=	2.8.1
@@ -11,7 +7,7 @@ PORTREVISION=	8
 CATEGORIES=	x11 kde
 MASTER_SITES=	BERLIOS
 
-MAINTAINER=	shanjobe@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Quake-style terminal emulator based on KDE's Konsole
 
 USE_AUTOTOOLS=	libtool
@@ -20,6 +16,4 @@ USE_KDEBASE_VER=3
 USE_GMAKE=	yes
 USE_GETTEXT=	yes
 
-LDFLAGS+=	${PTHREAD_LIBS}
-
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"